#include<bits/stdc++.h>
using namespace std;
int main(){
    long long a, b, l, ans = 0;
    cin>>a>>b>>l;
    if(a > b) swap(a, b);

    if(a + b >= l){
        cout<<l<<endl;
        return 0;
    }

    ans += (a + b - 1);
    cout<<ans<<endl;

}

